<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html <?php language_attributes(); ?> > <!--<![endif]-->

<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<!--[if ie]><meta http-equiv='X-UA-Compatible' content="IE=edge,IE=9,IE=8,chrome=1" /><![endif]-->

<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

<?php wp_head(); ?>

</head>

<body <?php body_class() ;?>>
<?php wp_body_open(); ?>

<!-- MAIN WRAPPER
============================================= -->
<div id="main-wrapper" class="clearfix">

<!-- HEADER START
============================================= -->
<header id="header" class="site-header clearfix">

	<div class="header-navigation">
		<div class="container">
			<div class="row">
				<div class="top-header">
					<div class="info col-md-4">
						<ul>
							<?php hakim_top_info_option(); ?>
						</ul>
					</div>

					<div class="logo col-md-4">
						<?php hakim_logo_type(); ?>
					</div>

					<div class="search col-md-4">
						<?php get_search_form(); ?>
					</div>
				</div>

				<div class="menu-section col-md-12">
					<div class="navigation">
						<div class="mobile-menu">
							<button id="slide-buttons" class="fa fa-bars"></button>
						</div>

						<nav id="main-menu" class="menu">
							<?php hakim_top_nav_menu(); ?>
						</nav>

						<!-- MOBILE MENU START
						============================================= -->
						<nav id="c-menu--slide-right" class="c-menu c-menu--slide-right">
							<button class="c-menu__close fa fa-remove"></button>

							<div class="info">
								<ul>
									<?php hakim_top_info_option(); ?>
								</ul>
							</div>

							<?php hakim_top_nav_menu(); ?>
						</nav>
						<div id="slide-overlay" class="slide-overlay"></div>
						<!-- MOBILE MENU END -->
					</div>
				</div>
			</div>
		</div>
	</div>

</header>
<!-- HEADER END -->

<div id="main" class="site-main clearfix">