<article  id="post-<?php the_ID(); ?>" <?php post_class( 'blog-item wow fadeIn'); ?>>

	<?php if ( has_post_thumbnail()) { ?>
		<div class="post-thumb">
			<a href="<?php the_permalink(); ?>">
				<?php the_post_thumbnail(); ?>
			</a>
		</div><!-- thumbnail-->
	<?php } ?> 

	<div class="post-content-wrap">
		<?php $archive_year  = get_the_time('Y');
			$archive_month = get_the_time('m'); ?>

		<div class="post-content">
			<a href="<?php the_permalink(); ?>"><h3 class="post-title"><?php the_title(); ?></h3></a>

			<div class="post-meta">
				<a href="<?php echo get_month_link( $archive_year, $archive_month ); ?>">
					<i class="icon icon-calendar"></i>
					<?php echo get_the_date('d'); ?> <span><?php echo get_the_date('M'); ?></span> <span><?php echo get_the_date('Y'); ?></span>
				</a>

				<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" class="author">
					<i class="icon icon-user"></i>
					<?php echo get_the_author_meta( 'display_name' ); ?>
				</a> 

				<a href="<?php the_permalink(); ?>" class="comments">
					<i class="icon icon-comments"></i>
					<?php comments_number( '0', '1', '%' ); ?> <?php esc_html_e( 'Comments', 'hakim' ); ?>
				</a>
			</div>

			<div class="post-text">
				<?php the_content(); ?>
				<div class="meta-bottom">
					<div class="tag-wrapper">
						<i class="icon icon-hyperlink"></i>
						<span><?php esc_html_e( 'Tags :', 'hakim' ); ?></span>
						<?php the_tags('',', ',''); ?>
					</div>
					<div class="categories">
						<i class="icon icon-inbox"></i>
						<span><?php esc_html_e( 'Categories :', 'hakim' ); ?></span> <?php the_category(', '); ?>
					</div>
				</div>
			</div>
		</div>
	</div>

</article><!-- #post-<?php the_ID(); ?> -->

<?php 
hakim_comment_reply(); 
if ( comments_open() || '0' != get_comments_number() ) comments_template(); 
?>