<article id="post-<?php the_ID(); ?>" <?php post_class( 'blog-item clearfix wow fadeIn'); ?>>

	<?php if ( has_post_thumbnail()) { ?>
		<div class="col-md-6">
			<div class="post-thumb">
				<a href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail('hakim-loop-post'); ?>
				</a>

				<div class="date">
					<a href="<?php the_permalink(); ?>">
						<p><span><?php echo get_the_date('d'); ?></span><span><?php echo get_the_date('M'); ?></span></p>
					</a>
				</div>
			</div>
		</div>
	<?php } ?> 

	<div class="post-content-wrap <?php if ( has_post_thumbnail()) { ?>col-md-6<?php } else { echo"col-md-12"; } ?>">
		<div class="post-content">
			<a href="<?php the_permalink(); ?>"><h3 class="post-title"><?php the_title(); ?></h3></a>
			<div class="post-meta">
				<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" class="author">
					<i class="icon icon-user"></i>
					<?php echo get_the_author_meta( 'display_name' ); ?>
				</a> 

				<a href="<?php the_permalink(); ?>" class="comments">
					<i class="icon icon-comments"></i>
					<?php comments_number( '0', '1', '%' ); ?> <?php esc_html_e( 'Comments', 'hakim' ); ?>
				</a>
			</div>
			<div class="post-text">
				<?php the_excerpt(); ?>
			</div>
			<a href="<?php the_permalink(); ?>" class="button"><?php esc_html_e( 'Read More', 'hakim' ); ?></a>
		</div>
	</div>
</article>