/*
*
*	Live Customiser Script
*	------------------------------------------------
	*	Akmanda Framework
	* 	Copyright Themes Awesome 2013 - http://www.themesawesome.com
*
*/
( function( $ ){		
	
	// HEADER STYLING

	wp.customize('bg_header',function( value ) {
		value.bind(function(to) {
			$('.site-header').css('background-color', to ? to : '' );
		});
	});

	wp.customize('bord_header',function( value ) {
		value.bind(function(to) {
			$('.header-navigation').css('border-bottom-color', to ? to : '' );
			$('.practice-wrap.owl-theme .owl-controls .owl-nav:after').css('background-color', to ? to : '' );
		});
	});

	wp.customize('header_info',function( value ) {
		value.bind(function(to) {
			$('.info ul li i, .info ul li p, .info ul li a, .search form button').css('color', to ? to : '' );
			$('.search form input').css('border-bottom-color', to ? to : '' );
		});
	});

	wp.customize('nav_menu',function( value ) {
		value.bind(function(to) {
			$('#main-menu > ul > li > a').css('color', to ? to : '' );
		});
	});

	wp.customize('hov_menu',function( value ) {
		value.bind(function(to) {
			$('#main-menu > ul > li > a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('sub_menu',function( value ) {
		value.bind(function(to) {
			$('#main-menu ul ul li a').css('color', to ? to : '' );
		});
	});

	wp.customize('sub_menu_hov',function( value ) {
		value.bind(function(to) {
			$('#main-menu ul ul li a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('sub_menu_bg',function( value ) {
		value.bind(function(to) {
			$('#main-menu ul ul li a').css('background-color', to ? to : '' );
		});
	});



	// CONTENT STYLING

	wp.customize('title_block',function( value ) {
		value.bind(function(to) {
			$('.title-section h5.wow, .practice-desc h5, .case-testimonial cite, .push h4, .comment-title h4, .comment-respond h3').css('color', to ? to : '' );
		});
	});

	wp.customize('subtitle_block',function( value ) {
		value.bind(function(to) {
			$('.title-section p').css('color', to ? to : '' );
		});
	});

	wp.customize('body_text',function( value ) {
		value.bind(function(to) {
			$('.practice-desc p, .caption-text p, .case-slider p, .text-content p, .panel-body p, .post-text p, .panel-body p, .comment-content p').css('color', to ? to : '' );
		});
	});

	wp.customize('practice_title',function( value ) {
		value.bind(function(to) {
			$('.practice-desc h5').css('color', to ? to : '' );
		});
	});

	wp.customize('bord_button',function( value ) {
		value.bind(function(to) {
			$('.button, .home-form form p input.button, .contact-form input[type="submit"], .form-submit .submit').css('border-color', to ? to : '' );
		});
	});

	wp.customize('text_button',function( value ) {
		value.bind(function(to) {
			$('.button, .home-form form p input.button, .contact-form input[type="submit"], .form-submit .submit').css('color', to ? to : '' );
		});
	});

	wp.customize('text_button_hov',function( value ) {
		value.bind(function(to) {
			$('.button:hover, .home-form form p input.button:hover, .contact-form input[type="submit"]:hover, .form-submit .submit:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('bg_hov',function( value ) {
		value.bind(function(to) {
			$('.button:hover, .home-form form p input.button:hover, .contact-form input[type="submit"]:hover, .form-submit .submit:hover').css('border-color', to ? to : '' );
			$('.button:hover, .home-form form p input.button:hover, .contact-form input[type="submit"]:hover, .form-submit .submit:hover').css('background-color', to ? to : '' );
		});
	});

	wp.customize('team_name',function( value ) {
		value.bind(function(to) {
			$('.caption h2 a, .case-content h4 a, a h3.post-title, .post-meta a, .meta-bottom .tag-wrapper ul li a, p.logged-in-as a, .blog-sidebar ul li a, .cat-item a, .tagcloud a, h4.panel-title, .tag-wrapper a, .categories a').css('color', to ? to : '' );
		});
	});

	wp.customize('team_name_hov',function( value ) {
		value.bind(function(to) {
			$('.caption h2 a:hover, .case-content h4 a:hover, a h3.post-title:hover, .post-meta a:hover, .post-meta a:hover, .meta-bottom .tag-wrapper ul li a:hover, p.logged-in-as a:hover, .blog-sidebar ul li a:hover, .cat-item a:hover, .tagcloud a:hover, h4.panel-title:hover, .tag-wrapper a:hover, .categories a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('btn_case',function( value ) {
		value.bind(function(to) {
			$('.case-studies .case-content .content-left a.view-more').css('color', to ? to : '' );
			$('.case-studies .case-content .content-left a.view-more').css('border-bottom-color', to ? to : '' );
		});
	});

	wp.customize('btn_case_hov',function( value ) {
		value.bind(function(to) {
			$('.case-studies .case-content .content-left a.view-more:hover').css('color', to ? to : '' );
			$('.case-studies .case-content .content-left a.view-more:hover').css('border-bottom-color', to ? to : '' );
		});
	});

	wp.customize('bg_date',function( value ) {
		value.bind(function(to) {
			$('.blog-item .post-thumb .date').css('background-color', to ? to : '' );
		});
	});

	wp.customize('text_counter',function( value ) {
		value.bind(function(to) {
			$('.counter-detail h2.value, .counter-detail h5.title, .counter-detail p.subtitle').css('color', to ? to : '' );
		});
	});

	wp.customize('icon_testi',function( value ) {
		value.bind(function(to) {
			$('.testimonial-icon i').css('color', to ? to : '' );
		});
	});

	wp.customize('text_testi',function( value ) {
		value.bind(function(to) {
			$('.testimonial-content p, .pagination-practice .link-post p, .pagination-practice .link-post h4').css('color', to ? to : '' );
		});
	});

	wp.customize('name_testi',function( value ) {
		value.bind(function(to) {
			$('.testimonial-content h4, .testi-job').css('color', to ? to : '' );
		});
	});

	wp.customize('pagi_testi',function( value ) {
		value.bind(function(to) {
			$('.testimonial-slider .flex-control-paging li a.flex-active').css('background-color', to ? to : '' );
			$('.testimonial-slider .flex-control-paging li a').css('border-color', to ? to : '' );
		});
	});

	wp.customize('title_page',function( value ) {
		value.bind(function(to) {
			$('.page-title h3, .page-title p').css('color', to ? to : '' );
		});
	});

	wp.customize('bg_form',function( value ) {
		value.bind(function(to) {
			$('.form-section, .contact-form-section').css('background-color', to ? to : '' );
		});
	});

	wp.customize('input_form',function( value ) {
		value.bind(function(to) {
			$('.home-form form p input, .home-form form p textarea, .contact-form form p input, .contact-form form p textarea').css('background-color', to ? to : '' );
		});
	});

	wp.customize('title_sidebar',function( value ) {
		value.bind(function(to) {
			$('.blog-sidebar .widget .heading-block h4, blockquote:before').css('color', to ? to : '' );
		});
	});

	wp.customize('border_sidebar',function( value ) {
		value.bind(function(to) {
			$('.blog-sidebar .widget, blockquote, .sidebar .searchform input[type="search"], .comments-area ol.comment-list li article.comment').css('border-color', to ? to : '' );
			$('.blog-sidebar .widget ul li, .post-content .post-meta').css('border-bottom-color', to ? to : '' );
			$('.comments-area').css('border-top-color', to ? to : '' );
			$('.case-studies .content-right .case-testimonial:before').css('color', to ? to : '' );
			$('.comments-area ol.comment-list li ul.children:before').css('background-color', to ? to : '' );
		});
	});

	wp.customize('contact_info',function( value ) {
		value.bind(function(to) {
			$('.contact-text p').css('color', to ? to : '' );
		});
	});

	wp.customize('contact_info_title',function( value ) {
		value.bind(function(to) {
			$('.contact-text h5, .con-det-icon, .tag-wrapper .icon, .categories .icon').css('color', to ? to : '' );
			$('.con-det-icon').css('border-color', to ? to : '' );
			$('.con-det-icon:before').css('background-color', to ? to : '' );
		});
	});

	wp.customize('project_detail',function( value ) {
		value.bind(function(to) {
			$('.project-text p').css('color', to ? to : '' );
		});
	});

	wp.customize('project_border',function( value ) {
		value.bind(function(to) {
			$('.project-info .icon').css('border-color', to ? to : '' );
			$('.project-info .icon:before, .project-intro .title h4:after').css('background-color', to ? to : '' );
		});
	});

	wp.customize('project_title',function( value ) {
		value.bind(function(to) {
			$('.project-intro').css('color', to ? to : '' );
		});
	});

	wp.customize('border_faq',function( value ) {
		value.bind(function(to) {
			$('.faq-practice .panel, .team-practice .flexslider, .panel-group .panel').css('border-color', to ? to : '' );
		});
	});



	// FOOTER STYLING

	wp.customize('top_border',function( value ) {
		value.bind(function(to) {
			$('.site-footer').css('border-top-color', to ? to : '' );
		});
	});

	wp.customize('top_btn',function( value ) {
		value.bind(function(to) {
			$('#back-to-top').css('background-color', to ? to : '' );
		});
	});

	wp.customize('top_btn_hov',function( value ) {
		value.bind(function(to) {
			$('#back-to-top:hover').css('background-color', to ? to : '' );
		});
	});

	wp.customize('top_arrow',function( value ) {
		value.bind(function(to) {
			$('#back-to-top').css('color', to ? to : '' );
		});
	});

	wp.customize('top_arrow_hov',function( value ) {
		value.bind(function(to) {
			$('#back-to-top:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('bg_footer',function( value ) {
		value.bind(function(to) {
			$('.site-footer').css('background-color', to ? to : '' );
		});
	});

	wp.customize('title_widget',function( value ) {
		value.bind(function(to) {
			$('.widget-footer h2.title').css('color', to ? to : '' );
		});
	});

	wp.customize('text_widget',function( value ) {
		value.bind(function(to) {
			$('.widget-footer .textwidget p').css('color', to ? to : '' );
		});
	});

	wp.customize('bg_copyright',function( value ) {
		value.bind(function(to) {
			$('.footer-copyright').css('background-color', to ? to : '' );
		});
	});

	wp.customize('text_copyright',function( value ) {
		value.bind(function(to) {
			$('.copyright-text').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_link',function( value ) {
		value.bind(function(to) {
			$('.copyright-text a').css('color', to ? to : '' );
		});
	});

	wp.customize('footer_link_hov',function( value ) {
		value.bind(function(to) {
			$('.copyright-text a:hover').css('color', to ? to : '' );
		});
	});

	wp.customize('bord_icon',function( value ) {
		value.bind(function(to) {
			$('.social-footer li a').css('border-color', to ? to : '' );
		});
	});

	wp.customize('social_icon',function( value ) {
		value.bind(function(to) {
			$('.social-footer li a').css('color', to ? to : '' );
		});
	});

	wp.customize('social_icon_hov',function( value ) {
		value.bind(function(to) {
			$('.social-footer li a:hover').css('color', to ? to : '' );
		});
	});

	


} )( jQuery );