<?php get_header();

/*
Template Name: FAQ Template
*/
?>

<?php hakim_page_title(); ?>

<!-- CONTENT START
============================================= -->
<div id="content" class="faq-page clearfix">
	<div class="container">
		<div class="the-faq clearfix">
			<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
			<?php  

			$faq_page_args = array(
				'post_type'			=> 'hakim-faq',
			);
			
			$faq_page_loop = new WP_Query($faq_page_args);
			if ($faq_page_loop->have_posts()) : while($faq_page_loop->have_posts()) : $faq_page_loop->the_post(); ?>
			
			<div class="panel panel-default">

				<a data-toggle="collapse" data-parent="#accordion" href="#collapse-<?php the_ID(); ?>" aria-expanded="true" aria-controls="collapse-<?php the_ID(); ?>">
					<div class="panel-heading" role="tab" id="heading-<?php the_ID(); ?>">
						<h4 class="panel-title"><?php the_title(); ?></h4>
					</div>
				</a>

				<div id="collapse-<?php the_ID(); ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading-<?php the_ID(); ?>">
					<div class="panel-body">
						<?php the_content(); ?>
					</div>
				</div>
			
			</div>

			<?php endwhile; wp_reset_postdata(); endif; ?>

			<script type="text/javascript">
			jQuery('.faq-page .panel-default:first-child').each(function() {
				jQuery(this).find( '.panel-collapse' ).addClass( 'show' );
			});
			</script>
			
			</div>
		</div><!-- faq end -->
	</div>
</div>
<!-- CONTENT END -->

<?php get_footer(); ?>